Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-08-2011 14:16:35

Capsule
Membre
Distrib. : Sid
Noyau : 3.0.0-2-686-pae
(G)UI : Gnome3/awesome
Inscription : 29-04-2011

Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Bonjour,

Votre aide est la bienvenue car je sais plus quoi vérifier concernant ceci:

J'utilise deux navigateurs sous debian-sid et le flashplugin-nonfree.
Paquets installés:
iceweasel 6.0-1
epiphany-browser 3.0.4-1
epiphany-browser-data  3.0.4-1
epiphany-extensions 3.0.0-3
flashplugin-nonfree 1:2.8.3
flashplugin-nonfree-extrasound 0.0.svn2431-3

Iceweasel fonctionne parfaitement bien (testé sur youtube ou jeu flash)

Epiphany, lui me demande d'installer un flashplayer !!!?? (ou indique greffon manquant)
Je comprends plus!!!

Une idée?

Capsule

Hors ligne

#2 19-08-2011 02:56:00

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Salut

Je n'utilise plus vraiment Epiphany mais cela ne fonctionne pas chez moi non plus. Il faudrait, j'imagine, placer un lien vers le fichier  flash dans un répertoire de Epiphany. J'ai pas trouvé pour le moment, pas trop de temps pour vraiment chercher. En plus, comme je n'aime pas Epiphany, cela n'est pas trop important pour moi. Epiphany doit préférer gnash. Pourtant, cela devrait fonctionner. Si jamais le trouve le truc qui va, je posterai ici.

Martin

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 19-08-2011 21:50:49

Invité-5
Banni(e)

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Salut et bienvenue,

Pour ne pas avoir utilisé, je connais rien sur flashplayer, en revanche si tu peux remplir ton infodistri ?

http://debian-facile.org/manuel:inscription_au_forum

Bon voyage au pays Debian smile

#4 19-08-2011 22:42:25

Capsule
Membre
Distrib. : Sid
Noyau : 3.0.0-2-686-pae
(G)UI : Gnome3/awesome
Inscription : 29-04-2011

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

@ martin_mtl : Martin si tu trouves çà m'arrangerai car moi j'ai toujours pas trouvé .. pfff et c'est pas faute de chercher ...
@ Darien : Infodistri complété!

ps: l'heure du forum déconne de deux heures ....il est 23h passé et mon profil est correct.

Dernière modification par Capsule (19-08-2011 23:11:59)

Hors ligne

#5 20-08-2011 09:04:42

Invité-5
Banni(e)

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Capsule a écrit :

ps: l'heure du forum déconne de deux heures ....il est 23h passé et mon profil est correct.


Depuis toujours wink

#6 20-08-2011 12:16:42

Capsule
Membre
Distrib. : Sid
Noyau : 3.0.0-2-686-pae
(G)UI : Gnome3/awesome
Inscription : 29-04-2011

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Où se trouve les fichiers de configurations d'Epiphany?

about:config
dans la barre d'adresse donne une page blanche.

gconf-editor:
donne accès à 3 clés: homepage, autodetect_encoding, language.
Il devrait y en avoir beaucoup plus comme par exemple la clé définissant (google) l'outil de recherche lorsqu'on place un mot dans la barre d'adresse.... bref je laisse çà de côté!
Message d'erreur concernant la structure de la clé:  en effet je vois pas de propriétaire... un essai de modification de la valeur de la clé 'homepage' confirme qu'elle est inopérationnelle.
-> ces 3 clés ne servent à rien et la configuration est ailleurs, où?

man epiphany:
aucune info sur les fichiers de configuration... RTFM est toujours  la règle, non!? grrr!

epiphany --help-all:
aucune info sur les fichiers de configuration

menu Epiphany 'Aide' 'Sommaire' :
aucune info sur les fichiers de configuration

=> les fichiers de configuration d'Epiphany sont bien planqués et votre aide pour les dénicher est bienvenue

Hors ligne

#7 20-08-2011 12:33:10

Capsule
Membre
Distrib. : Sid
Noyau : 3.0.0-2-686-pae
(G)UI : Gnome3/awesome
Inscription : 29-04-2011

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Puisque Epiphany ne trouve pas le flashplayer j'ai regardé du côté des liens symboliques en console:

12:20 root@gol ~ # find / -name libflashplayer.so
/usr/lib/flashplugin-nonfree/libflashplayer.so
12:20 root@gol ~ # update-alternatives --auto libflashplayer.so
update-alternatives: erreur: pas d'alternatives pour libflashplayer.so.
zsh: exit 2     update-alternatives --auto libflashplayer.so

Pouvez vous me renseigner sur le retour d'update-alternatives?
Moi je le comprend comme ceci: mon système Debian n'a pas de programme alternatif pour le flash. J'ai un et un seul programme.
Donc pour moi ce retour est donc correct. Vous confirmez?

Si oui alors reste qu'Epiphany ne trouve toujours pas le greffon...

Hors ligne

#8 20-08-2011 22:49:35

chiwawa
Membre
Distrib. : Débian Satable
Noyau : Celui présent dans la dernière stable
(G)UI : Gnome 3
Inscription : 18-04-2009

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Moi sous la stable j'ai installer la version 11 de flashplayer et Epiphany de la dernière version de gnome 2, sa marche niquel sous youtube comme avec firefox 6.

Par contre j'ai pas le souvenir d'avoir fait un truc de particulier pour Epiphany au niveau de la configuration.

Tous mes PC sont sous Débian maintenant.
Poste mobile => ASUS M51S.
Poste fixe => PROC AMD double cœur + 4 go de ram + 3 disques en raid 5 + disque système (un jour ce sera un ssd promis).

Hors ligne

#9 21-08-2011 13:54:46

Invité-5
Banni(e)

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Un billet que je trouve vraiment sympathique : http://vincent.bernat.im/fr/blog/2011-a … ebian.html

#10 21-08-2011 22:28:40

Pep
Membre
Distrib. : Wheeze
Noyau : 3.0.0-1-686-pae
(G)UI : Xmonad
Inscription : 08-08-2010

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

https://bugs.archlinux.org/task/24348

Apparemment flash n'a que le support pour gtk2 et pas gtk 3... Sous la version sid Epiphany utilise gtk3 donc apparemment c'est normal que cela ne fonctionne plus.

La solution est de compiler nspluginwrapper pour ton architecture.

Hors ligne

#11 22-08-2011 14:22:08

Capsule
Membre
Distrib. : Sid
Noyau : 3.0.0-2-686-pae
(G)UI : Gnome3/awesome
Inscription : 29-04-2011

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

@ Pep: merci pour l'info.

Hors ligne

#12 22-08-2011 19:50:49

Pep
Membre
Distrib. : Wheeze
Noyau : 3.0.0-1-686-pae
(G)UI : Xmonad
Inscription : 08-08-2010

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Du coup pour nous qui sommes en i686 je vois pas comment faire.

Nspluginwrapper n'est que pour l'archi amd64 si je me trompe pas. Si quelqu'un pourrait confirmer ?

J'ai essayer de compiler mais j'ai une erreur dès le ./configure  :

X11/Xt environment not found

Il me manque une lib x11 mais je trouve pas laquelle pourtant j'ai fait une install xorg-dev libX11-dev libxt-dev

Après j'ai essayer un xdeb -a i686 --apt-source nspluginwrapper, j'obtient :

ConfigParser.NoSectionError: No section: 'target-i686-generic'

Edit: Si tu veux à tout prix flash dans Epiphany, j'ai une solution pas très propre....

Tu télécharges un paquet nspluginwrapper i386 des dépots ubuntu natty par exemple.

dpkg -i nspluginwrapper_1.X.X.deb

nspluginwrapper -i /usr/lib/flashplugin-nonfree/libflashplayer.so

Dernière modification par Pep (22-08-2011 23:02:55)

Hors ligne

#13 16-12-2011 19:10:33

bundy
Membre
Distrib. : wheezy
Noyau : desktop 3.2.0-4-amd64; laptop 3.2.0-4-686
(G)UI : desktop gnome 3 avec shell ; laptop lxde
Inscription : 14-09-2010

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

salut ,

moi c'est le contraire là c'est iceweasel qui le trouve pas , suite quelques mésaventure j'ai du tout réinstaller et notament flashplugin-nonfree et il n'apparait pas dans mes plugin d'iceweasel ni de chromium.

Hors ligne

#14 16-12-2011 19:15:26

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Hop bundy !

On ne bernacle pas le post des voisins, même semblable et même contraire ! big_smile
Ouvre un nouveau fil dans la même section, ça l'fera pour te répondre.
Je te mets le tuto de la bernacle, ça fait toujours un point chocolat dans la besace...
http://debian-facile.org/atelier:bernacle

En ces temps de fêtes annuelles, c'est vraiment l'moment d'en ramasser, non ?

Yeaaaaaaaaaaaah lol

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#15 16-12-2011 19:28:08

bundy
Membre
Distrib. : wheezy
Noyau : desktop 3.2.0-4-amd64; laptop 3.2.0-4-686
(G)UI : desktop gnome 3 avec shell ; laptop lxde
Inscription : 14-09-2010

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

compris tongue

Hors ligne

#16 17-12-2011 00:11:55

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

1> Virer tout ce qui ressemble à du flash adobe
2> Installer flashplugin-nonfree de Debian Multimedia
3> Si gnash est installé, faire

update-aternatives --config flash-mozilla.so


- Bien évidement ça ne marche que si tout a été installé depuis les paquets.
- Sur Wheezy et sid ça fonctionne pour Epiphany ET iceweasel.
- Pour iceweasel ancienne version, on risque de se trouver avec flash et gnash dans les plugins actifs, gnash étant pris par défaut. Le désactiver donc dans iceweasel.

Alternativement, flash c'est 1 fichier flashplugin.so qui doit être dans le path des plugins. Pour iceweasel, ça peut être ~/.mozilla/plugins/   mais plus pour épiphany depuis qu'il est en webkit.

l


« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#17 17-12-2011 19:11:16

bundy
Membre
Distrib. : wheezy
Noyau : desktop 3.2.0-4-amd64; laptop 3.2.0-4-686
(G)UI : desktop gnome 3 avec shell ; laptop lxde
Inscription : 14-09-2010

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Darien a écrit :

Un billet que je trouve vraiment sympathique : http://vincent.bernat.im/fr/blog/2011-a … ebian.html


super ton lien darien ,

Hors ligne

#18 17-12-2011 20:14:57

Invité-5
Banni(e)

Re : Epiphany+flashplugin=échec alors que Iceweasel+flashplugin=ok!!??

Tu vois quand tu veux   lol

Pied de page des forums